Loading...
Searching...
No Matches
flex_mem.hpp File Reference
`#include <osmium/index/index.hpp>`
`#include <osmium/index/map.hpp>`
`#include <algorithm>`
`#include <cstddef>`
`#include <cstdint>`
`#include <utility>`
`#include <vector>`
Include dependency graph for flex_mem.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::index::map::FlexMem< TId, TValue >
struct | osmium::index::map::FlexMem< TId, TValue >::entry

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::index
| Indexing of OSM data, Locations, etc.
namespace | osmium::index::map
| Key-value containers with unique integer values for a key.

## Macros

#define | OSMIUM_HAS_INDEX_MAP_FLEX_MEM

## Macro Definition Documentation

## OSMIUM_HAS_INDEX_MAP_FLEX_MEM

#define OSMIUM_HAS_INDEX_MAP_FLEX_MEM